SMAO API Documentation

Get organization tree

Returns MSP organizations with their direct customer children. This endpoint intentionally does not include usage.

GET
/organizations/tree
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.smao.ai/api/distributor/v2/organizations/tree"
{
  "status": "success",
  "organizations": [
    {
      "id": "string",
      "type": "msp",
      "name": "string",
      "industry": "string",
      "timezone": "string",
      "channelPartner": "string",
      "externalOrganizationId": "string",
      "parentOrganizationId": "string",
      "status": "active",
      "blockedReason": "string",
      "ownerEmail": "string",
      "externalLicenseId": "string",
      "license": {
        "id": "string",
        "externalLicenseId": "string",
        "status": "available",
        "owningOrganizationId": "string",
        "assignedOrganizationId": "string",
        "plan": {
          "id": "string",
          "slug": "string",
          "name": "string",
          "commitment": "none",
          "currency": "string",
          "baseFee": 0
        },
        "assignedAt": "2019-08-24T14:15:22Z",
        "disabledAt": "2019-08-24T14:15:22Z",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "children": [
        {
          "id": "string",
          "type": "msp",
          "name": "string",
          "industry": "string",
          "timezone": "string",
          "channelPartner": "string",
          "externalOrganizationId": "string",
          "parentOrganizationId": "string",
          "status": "active",
          "blockedReason": "string",
          "ownerEmail": "string",
          "externalLicenseId": "string",
          "license": {
            "id": "string",
            "externalLicenseId": "string",
            "status": "available",
            "owningOrganizationId": "string",
            "assignedOrganizationId": "string",
            "plan": {
              "id": "string",
              "slug": "string",
              "name": "string",
              "commitment": "none",
              "currency": "string",
              "baseFee": 0
            },
            "assignedAt": "2019-08-24T14:15:22Z",
            "disabledAt": "2019-08-24T14:15:22Z",
            "createdAt": "2019-08-24T14:15:22Z",
            "updatedAt": "2019-08-24T14:15:22Z"
          },
          "createdAt": "2019-08-24T14:15:22Z",
          "children": []
        }
      ]
    }
  ]
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMITED",
  "message": "Too many requests for this API key."
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMIT_UNAVAILABLE",
  "message": "Rate limit storage is unavailable. Try again later."
}